// bower:scss
// endbower

body {
  background: #fafafa;
  font-family: "Helvetica Neue", Helvetica, Arial, sans-serif;
  font-size:10px;
  color: #333;
  margin:0em;
  padding:0em;
  top:0em;
  background-color: black;
  background-image: url('../images/bg.jpg');
  background-size:100% 100%;
  background-repeat: no-repeat;
  -webkit-tap-highlight-color: rgba(0,0,0,0);
}

span{
  font-size:14px;
}

p{
  font-size:13px;
  color:white;
  -webkit-margin-before: 0.5em;
  -webkit-margin-after: 0.5em;
  -webkit-margin-start: 0px;
  -webkit-margin-end: 0px;
}

.resultFont{
  font-size:14px;
}

input{
  font-size:17px;
  padding:8px 0px 8px 0px;
  color:black;
  background-color: rgba(0,0,0,0);
  border:0em;
  outline-width: 0;
  text-align: center;
}

::-webkit-input-placeholder {
    color:black;
}
:-moz-placeholder {
  color:black;
}
::-moz-placeholder {
  color:black;
}
:-ms-input-placeholder {
  color:black;
}


.bold{
  margin-top:1em;
  font-size:23px;
  font-weight: bold;
}

.whiteFont{
  color:white;
}

.alignCenter{
  margin:auto;
  text-align: center;
}

.right0{
  right:0;
}

.terms{
  position: absolute;
  color:black;
  font-size:1.5em;
  bottom:2em;
}

img{
  width:100%;
}

.content{
  padding-right:1em;
  padding-left:1em;
}

.page{
  position: relative;
  vertical-align: top;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  display:none;

  .row{
    position: relative;
    width:100%;
    text-align: center;
  }

  .alignRight{
    text-align: right;
  }

  .block{
    display:inline-block;
  }
}

.marginTop0{
  position:relative !important;
  top:0em;
}

.marginTop5{
  top:.5em;
}

.marginTop10{
  position:absolute !important;
  top:10%;
}

.marginTop20{
  margin-top:20%;
}

.paddingTop10{
  padding-top:10%;
  padding-bottom:3%;
}

.marginBottom0{
  position:absolute !important;
  bottom:0em;
}

.marginBottom5{
  position: absolute !important;
  bottom: 5%;
  z-index:1000;
}

.marginBottom10{
  position: absolute !important;
  bottom: 15%;
}

.ground{
  width:100%;
  background-color:rgba(72,53,35,0.8);
  padding-bottom:5em;
}

#uploadCon{
  position:absolute;
  z-index:1000;
  margin:auto;
  margin-top:22% !important;

  .btn{
    margin:auto;
    display: block;
  }
}

#addimg{
  width:3em;
}

.width18{
  width:18em !important;
}

.width40{
  width:50%;
}

.floatLeft{
  float:left;
}

.floatRight{
  float:right;
}

.marginAuto{
  margin:auto;
}

.backBtn{
  padding:0.4em 1.9em !important;
  border:0.2em solid white;
  background:none !important;
  background-color:rgba(0, 0, 0, 0) !important;
}

.btn{
  padding:0.5em 2em;
  width:10em;
  text-align: center;
  display: inline-block;
  cursor: pointer;
  border-radius: 2em;
  color:white;
  background: -webkit-linear-gradient(180deg,rgba(255,134,1,1),rgba(255,180,39,1)); /*Safari 5.1-6*/
  background: -o-linear-gradient(180deg,rgba(255,134,1,1),rgba(255,180,39,1)); /*Opera 11.1-12*/
  background: -moz-linear-gradient(180deg,rgba(255,134,1,1),rgba(255,180,39,1)); /*Fx 3.6-15*/
  background: linear-gradient(180deg, rgba(255,134,1,1), rgba(255,180,39,1)); /*Standard*/
}

.inlineBlock{
  display:inline-block !important;
}

#reUpload{
  display:none;
}

.overlay{
  position: absolute;
  display:none;
  top:0em;
  z-index:90000;
  width:100%;
  height:100%;
  background-color: rgba(72,54,36,0.9);
  text-align: center;
}

#preloader {
  display:block;
  position:fixed;
  width:100%;
  height:100%;
  z-index:50;
  background-color: black;
  #preloaderCover {
    background-color: black;
    z-index: 20;
    height: 100%;
    width: 100%;
    position: fixed;
    #progressText {
      width: 100%;
      text-align: center;
      margin: 30% auto auto;
      span{
        font-size: 1.7em;
        color:white;
      }
    }
    #progressBar {
      margin: 4% auto auto;
      padding: 0.1em;
      width: 70%;
      height: .4em;
      border: 0.1em solid #bababa;
      background-color: black;
    }
    #progressBar div {
      height: 100%;
      color: black;
      text-align: right;
      line-height: 1.6em;
      /* same as #progressBar height if we want text middle aligned */
      width: 0;
      background-color: white;
    }
  }
  #prelaodImg img {
    width:1em;
  }
}

#index{
  p{
    margin:5%;
    text-align: center;
  }
}

.logo{
  width:40%;
}

#card{
  .front,
  .back{
    width:100%;
    img {
      width:100%;
    }
  }

  #fBtn{
    position:absolute;
    width:12%;
    height:6em;
    right:7.5%;
    margin-top:60%;
  }

  #BBtn{
    position:absolute;
    width:12%;
    height:6em;
    left:7.5%;
    margin-top:60%;
  }
}

.yellow{
  background-color:yellow;
}

.green{
  background-color:green;
}

.orangeFont{
  color:#ff8700;
}

.selected{
  background-color: orange;
  color:white;
}

#uploadBtn {
  position: absolute;
  top:0%;
  left:0;
  right:0;
  bottom:0;
  margin:auto;
  width: 70%;
  height: 50%;
  // background-color: yellow;
}

#fileUpload{
  opacity: 0;
  display:none;
  filter: alpha(opacity=0);
}

#editControl {
  // background-color: #000;
  display:none;
  text-align:center;
}

#editBtn {
  position: absolute;
  z-index:1000;
  display:none;
  right:2em;
  margin-top:2em;
  width: 3em;
  img {
    width: 100%;
  }
}

#resultCanvas2,
#previewPng,
#finalCanvas
{
  display:none;
}

#editPhoto{
  position:absolute;
  // display:none;
  top:35%;
  width:100%;
  z-index:100;

  div{
    position:relative;
    margin-top:-3%;
  }

  #canvasContainer{
  margin:auto;
  -webkit-mask-image: url('../images/mask.png');
  -webkit-mask-position: center;
  -webkit-mask-size: 100% 100%;
  -webkit-mask-repeat: no-repeat;
  }
  #canvasContainer{
    position:relative;
    top:50%;
    right:0em;
    left:0em;
    bottom:0em;
    margin:auto;
  }
}

#score{
  text-align: center;
}

canvas{
  width:100%;
}

#game{
  #scoreBar{
    position:relative;
    height:7em;

    #tapCountCon{
      left:0em;
    }

    #timer{
      right:0em;
    }
  }

  .scorebox{
    position:absolute;
    z-index: 50;
    width:10em;
    height:3.6em;
    margin:1em;
    border-radius: 0.5em;
    border: 0.1em solid white;
    background-color: rgba(43,43,43,0.8);
    padding:0.8em 0.3em 0.6em 1.6em;

    div{
      float:left;
    }
  }

  #targetBar{
    position:absolute;
    width:100%;
    height:100%;
    background-color:#2b2b2b;
    div{
      position:relative;
      height: 100%;
      width: 0em;
      text-align: right;
      /* same as #progressBar height if we want text middle aligned */
      background-image: url('../images/progressBg.png');
      background-repeat: repeat-x;
      background-size:4em 100%;
    }
  }
}

#faceCon{
  position: absolute;
  bottom:0em;
  font-size:0px;
}

.ui-loader.ui-corner-all.ui-body-a.ui-loader-default{
  display:none;
}

#resizeIcon{
  position:absolute;
  display: none;
  right:1.5em;
  margin-top: 20%;
  width:3em;
}

#cdBallCon{
  position:fixed;
  width:100%;
  height:100%;
  z-index:400;
  #cdBall{
    position:relative;
    margin:auto;
    margin-top:65%;
    text-align:center;
    width:13em;
    #ballText{
      position:absolute;
      text-align:center;
      width:100%;
      height:100%;
      margin-top:20px;
      font-size:70px;
      color:white;
    }
    #ballText.start{
  		font-size:45px;
  		margin-top:35px;
    }
  }

}

#cdCon{
  position:fixed;
  z-index:100;
  width:100%;
  height:100%;

  #upperCd{
    position:absolute;
    font-size: 0;
    width:100%;
    top:0em;
    .cdTri{
      transform: rotate(180deg);
    }
  }

  #lowerCd{
    position:absolute;
    font-size: 0;
    width:100%;
    bottom:0em;
    .cdBox{
      bottom:0em;
    }
  }

  .cdBox{
    position:relative;
    width: 100%;
    height:80%;
  	background-color: rgba(72,53,35,0.85);
  }
}

#tutorSixpad{
  width:90%;
  margin:auto;
  margin-bottom:10%;
}

#curScore,#timerIcon{
  width:.9em;
  text-align:right;
  font-size:29px;
  margin-right:.4em;
}

.smallText{
  font-size: 14px;
}

.textLeft{
  text-align: left;
}

.textRight{
  text-align: right;
}

#result,
#share{
  background-image: url('../images/resultBg.jpg');
  background-repeat: no-repeat;
  background-size: 100%;
  background-color: black;

  .resultTime,
  .bigFont
  {
    font-size:23px;
    span{
      font-size:23px;
    }
  }

  .boldFont{
    font-weight:bold;
  }

  .btn{
    display:block;
  }

  .bodyCon.before{
    background-color:#3b322b;
  }

  .bodyCon.after{
    background: -webkit-linear-gradient(180deg,rgba(180,166,157,1),rgba(228,233,236,1),rgba(180,166,157,1)); /*Safari 5.1-6*/
    background: -o-linear-gradient(180deg,rgba(180,166,157,1),rgba(228,233,236,1),rgba(180,166,157,1)); /*Opera 11.1-12*/
    background: -moz-linear-gradient(180deg,rgba(180,166,157,1),rgba(228,233,236,1),rgba(180,166,157,1)); /*Fx 3.6-15*/
    background: linear-gradient(180deg, rgba(180,166,157,1),rgba(228,233,236,1),rgba(180,166,157,1)); /*Standard*/
  }

  .bodyCon{
    position: relative;
    display:inline-block;
    border-radius: .9em;
    width:48%;
    height:48%;
    overflow: hidden;

    .resultBodyImg{
      top:50px;
    }

    .profileImg{
      position: absolute;
      width:38%;
      left:30%;
      top:10%;
    }

    .text{
      position: absolute;
      left:5%;
      top:5%;
    }
  }
}

//cicle preloader
.loading {
    width: 100px;
    height: 100px;
    position: absolute;
    top: 50%;
    left: 50%;
    margin: -50px 0 0 -50px;
}
.loading canvas {
    width: 100%;
}
.loading .percent {
    position: absolute;
    left: 10%;
    top: 10%;
    width: 80%;
    height: 80%;
    color: #ffba00;
    background-color: #cd4a00;
    border-radius: 100%;
}
.loading .percent .table {
    display: table !important;
    width: 100%;
    height: 100%;
}
.loading .percent .table .table-cell {
    display: table-cell;
    vertical-align: middle;
    text-align: center;
}

#luckydraw{
  background: -webkit-linear-gradient(180deg, rgba(36,29,26,1),rgba(187,177,168,1), rgba(36,29,26,1)); /*Safari 5.1-6*/
  background: -o-linear-gradient(180deg, rgba(36,29,26,1),rgba(187,177,168,1), rgba(36,29,26,1)); /*Opera 11.1-12*/
  background: -moz-linear-gradient(180deg, rgba(36,29,26,1),rgba(187,177,168,1), rgba(36,29,26,1)); /*Fx 3.6-15*/
  background: linear-gradient(180deg, rgba(36,29,26,1), rgba(187,177,168,1), rgba(36,29,26,1)); /*Standard*/
}

#thankyou{
  background: -webkit-linear-gradient(90deg, rgba(72,66,63,1),rgba(178,164,155,1), rgba(72,66,63,1)); /*Safari 5.1-6*/
  background: -o-linear-gradient(90deg, rgba(72,66,63,1),rgba(178,164,155,1), rgba(72,66,63,1)); /*Opera 11.1-12*/
  background: -moz-linear-gradient(90deg, rgba(72,66,63,1),rgba(178,164,155,1), rgba(72,66,63,1)); /*Fx 3.6-15*/
  background: linear-gradient(90deg, rgba(72,66,63,1), rgba(178,164,155,1), rgba(72,66,63,1)); /*Standard*/

  p{
    text-align: left;
  }
}

.clearfix{
  clear: both;
}
